## libeatmydata 26

=== Makefile ===
libs = libeatmydata.so
CC ?= gcc
PREFIX ?=/usr

all: $(libs)

clean:
	rm -f libeatmydata.so* *.o fsynctest eatmydatatest

dist_files :=\
	eatmydata.c\
	fsynctest.c\
	fsynctest.result\
	LICENSE\
	Makefile\
	Makefile.solaris\
	README\
	autogen.sh\
	configure.in\
	eatmydatatest.c

dist:
	tarname=libeatmydata-`bzr log -r-1|sed 's/^revno: //p;d'`;\
	rm -rf $$tarname $$tarname.tar.bz2;\
	mkdir $$tarname &&\
	cp $(dist_files) $$tarname &&\
	tar cjf $$tarname.tar.bz2 $$tarname &&\
	rm -rf $$tarname

distclean: clean
	rm -f config.log config.status config.h

eatmydata.o: eatmydata.c
	$(CC) -c $(CFLAGS) -fPIC -o $@ $<

libeatmydata.so: eatmydata.o
	$(CC) -shared -Wl,-soname,$@ $(LDFLAGS) -o $@ $< -ldl

fsynctest: fsynctest.c
	$(CC) $(FFLAGS) $(LDFLAGS) -o fsynctest fsynctest.c

eatmydatatest: eatmydatatest.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

test: runeatmydatatest
	@echo "Tests succeeded"

testpat := '^[a-z]*sync\|O_SYNC'
runfsynctest: fsynctest $(libs)
	LD_PRELOAD=./libeatmydata.so strace -o fsynctest.result.run ./fsynctest
	! grep $(testpat) fsynctest.result.run
	rm fsynctest.result.run
	@echo
	@echo "Good: no *sync calls"
	@#grep $(testpat) fsynctest.result.run |sed -e 's%[0-9]* vars%%' > fsynctest.result.run.out
	@#mv fsynctest.result.run.out fsynctest.result.run
	@#diff fsynctest.result fsynctest.result.run

runeatmydatatest: eatmydatatest $(libs)
	LD_PRELOAD=./libeatmydata.so ./eatmydatatest

install:
	mkdir -p $(DESTDIR)$(PREFIX)/lib
	cp -Rf $(libs) $(DESTDIR)$(PREFIX)/lib

=== debian/changelog ===
libeatmydata (26-2) unstable; urgency=low

  * Switch homepage to launchpad.net/libeatmydata.
  * Fix a typo in the eatmydata wrapper.

 -- Modestas Vainius <modax@debian.org>  Sat, 19 Feb 2011 14:27:59 +0200

libeatmydata (26-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches, merged upstream.
  * Add myself to the upstream part of debian/copyright.
  * Skip auto_install routine, we install libeatmydata.so manually.

 -- Modestas Vainius <modax@debian.org>  Tue, 04 Jan 2011 21:28:37 +0200

libeatmydata (15-6) unstable; urgency=low

  * Merge ubuntu_as_needed_fix.diff as is. My tweak was broken.

 -- Modestas Vainius <modax@debian.org>  Mon, 03 Jan 2011 17:03:31 +0200

libeatmydata (15-5) unstable; urgency=low

  * Get rid of the debian-changes-* patch introduced by mistake in the previous
    upload.
  * Forbid generation of the single debian patch by adding
    abort-on-upstream-changes to debian/source/local-options.
  * Add unapply-patches to debian/source/local-options.
  * Merge Ubuntu patches;
    - ubuntu_as_needed_fix.diff (with small tweak) to
      upstream_improve_Makefile.diff;
    - ubuntu_missing_open_arg.diff (with tweak) to
      upstream_portable_testsuite.diff.
  * Fix relative path recognition as per IEEE Std 1003.1 Shell Command
    Language Specification, chapter 2.9. (Closes: #606157)
  * Remove config.h in distclean target (upstream_basic_autoconf.diff
    modified).

 -- Modestas Vainius <modax@debian.org>  Sun, 02 Jan 2011 17:21:29 +0200

libeatmydata (15-4) unstable; urgency=low

  * Fix problem with execution of relative symlink from PATH. (Closes: #603423)
  * Add support for "symlink mode". Please read eatmydata(1) manual page
    for more information.

 -- Modestas Vainius <modax@debian.org>  Sun, 14 Nov 2010 20:38:20 +0200

libeatmydata (15-3) unstable; urgency=low

  * Fix a typo (made while refactoring) in the
    upstream_handle_va_arg_promotion.diff patch. This should really solve a
    FTBFS on kFreeBSD. (Closes: #600445)

 -- Modestas Vainius <modax@debian.org>  Thu, 21 Oct 2010 01:27:10 +0300

libeatmydata (15-2) unstable; urgency=low

  * Prepend upstream_ to all patch names. They all could be merged upstream.
    Also improve their DEP-3 headers a bit.
  * Add basic support for autoconf (via new patch
    upstream_basic_autoconf.diff).
  * Build-Depend on dh-autoreconf and use its dh addon in debian/rules.
  * Fix FTBFS on Debian GNU/kFreeBSD by passing int to va_arg() when needed
    (patch upstream_handle_va_arg_promotion.diff). (Closes: #600445)

 -- Modestas Vainius <modax@debian.org>  Thu, 21 Oct 2010 00:24:15 +0300

libeatmydata (15-1) unstable; urgency=low

  * Initial release. (Closes: #512588)
  * A couple of improvements to Makefile (*FLAGS, no versioned SONAME etc.)
    (patch improve_Makefile.diff).
  * Add portable testsuite (patch portable_testsuite.diff).

 -- Modestas Vainius <modax@debian.org>  Fri, 06 Aug 2010 20:10:11 +0300

=== debian/control ===
Source: libeatmydata
Section: utils
Priority: optional
Maintainer: Modestas Vainius <modax@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
Homepage: https://launchpad.net/libeatmydata
Vcs-Git: git://git.debian.org/users/modax/libeatmydata.git
Vcs-Browser: http://git.debian.org/?p=users/modax/libeatmydata.git

Package: eatmydata
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libeatmydata
Description: library and utilities designed to disable fsync and friends
 This package contains a small LD_PRELOAD library (libeatmydata) and a couple
 of helper utilities designed to transparently disable fsync and friends (like
 open(O_SYNC)). This has two side-effects: making software that writes data
 safely to disk a lot quicker and making this software no longer crash safe.
 .
 You will find eatmydata useful if particular software calls fsync(), sync()
 etc. frequently but the data it stores is not that valuable to you and you may
 afford losing it in case of system crash. Data-to-disk synchronization calls
 are typically very slow on modern file systems and their extensive usage might
 slow down software significantly. It does not make sense to accept such a hit
 in performance if data being manipulated is not very important.
 .
 On the other hand, do not use eatmydata when you care about what software
 stores or it manipulates important components of your system. The library is
 called libEAT-MY-DATA for a reason.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/libeatmydata/*

%:
	dh --with autoreconf $@

.PHONY: override_dh_auto_install

## libeatmydata 82

=== debian/changelog ===
libeatmydata (82-6) unstable; urgency=low

  * No-change upload to unstable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 30 Nov 2014 12:21:31 +0100

libeatmydata (82-5) experimental; urgency=low

  * [e9ae45a] Replace eatmydata executable with one both Multi-Arch safe and
    compatible with older eatmydata versions in chroots. Thanks to Thorsten
    Glaser for the patch! (Closes: #765810).
  * [3638933] debian/control: drop now useless depends on dpkg-dev
    (Closes: #770109).
  * [0ea9512] debian/eatmydata.1: update manpage with information about
    multiarch. Thanks to Osamu Aoki for reporting (Closes: #766212).

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sat, 22 Nov 2014 17:59:01 +0100

libeatmydata (82-4) unstable; urgency=low

  [ Mattia Rizzolo ]
  * [c6fde16] Fix FTBFS on hurd-i386 and kfreebsd-* due to missing strace (used
    by the test suite) (Closes: #769605).

  [ Thorsten Glaser ]
  * [8c41772] Add missing Pre-Depends on multiarch-support

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Wed, 19 Nov 2014 22:41:45 +0100

libeatmydata (82-3) unstable; urgency=low

  * debian/patches/bug-702711.patch:
    + [c95e942] fix the bug #702711 also for 32 bit arches (Closes: #765738).
    + [0167220] update headers.
  * [3fabf6f] debian/control: build-depend on strace only on non hurd and non
    kfreebsd systems, where it is unavailable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 09 Nov 2014 22:16:51 +0100

libeatmydata (82-2) unstable; urgency=medium

  * Upload to unstable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 13 Oct 2014 23:50:27 +0200

libeatmydata (82-1) experimental; urgency=medium

  * New upstream release (Closes: #700649).
    + fixes a issue with faketime (Closes: #747078).
  * Add Multi-Arch support (Closes: #694314, LP: #1275932):
    + Upstream now has a basic multiarch support on its own, update packaging.
    + debian/control: split package to libeatmydata1 being Multi-Arch:same.
    + debian/rules: move shared library to /usr/lib/<triplet>/libeatmydata.
  * debian/{bin,lib}: drop, included upstream.
  * debian/control:
    + [19c31a7] Bump Standards-Version to 3.9.6. No changes required.
    + Bump debhelper version to 9.
    + Add autotools-dev and strace to Build-Depends.
    + [687e4b8] Add dpkg-dev to depends of eatmydata
    + [8083867] wrap-and sort maintenance.
    + [64b0f93] Add myself as uploader.
    + [e74b025] Add Breaks/Replaces relations to libeatmydata1.
    + [d46838e,512aabc] Update Vcs-* links to collab-maint.
  * debian/copyright:
    + Update accordingly the new upstream release.
    + Update to the debian-copyright format 1.0.
    + Update the homepage to launchpad.net/libeatmydata.
    + Add myself to copyright owners.
  * debian/compat: bump to 9.
  * debian/rules:
    + use dh with autotools_dev addon.
    + [71e3563] remove the override_dh_makeshilibs.
  * [db986b8] debian/libeatmydata1.lintian-overrides: add
    non-dev-pkg-with-shlib-symlink.
  * debian/patches:
    + executable-not-elf-or-script.patch. add to fix omonim
      lintian warning.
    + [6eba479,bce9c1d] multiarch-issue: add to fix a issue with multiarch (a
      script refers to a fixed position, non multiarch-compatible).
    + bug-702711.patch: update headers. Thanks Petter for the NMU.
  * [ad63684] debian/eatmydata.install:
    + Drop eatmydata.sh, now installed in libeatmydata1.
    + Change source to debian/tmp.
  * debian/libmydata1.install: add, it installs all /usr/lib/* stuff.
  * [9908ebb] debian/eatmydata.manpages: add to install the manpage.
  * debian/watch, debian/upstream/signing-key.asc
    + [42f1561] add.
    + [86912da] fix debian-watch-may-check-gpg-signature lintian tag.
  * debian/README.debian: drop, it's useless.

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Fri, 03 Oct 2014 20:48:40 +0200

libeatmydata (26-2.1) unstable; urgency=low

  * Non-maintainer upload to fix bug affecting other packages.
  * Make sure open() calls done before the eatmydata_init(), for example
    called by ctors, do not return an unexpected error (Closes:
    #702711).  Patch by Roland Stigge.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Sep 2014 22:57:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Modestas Vainius <modax@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
+Uploaders: Mattia Rizzolo <mattia@mapreri.org>
+Standards-Version: 3.9.6
+Build-Depends: autotools-dev,
+               debhelper (>=9),
+               strace [!hurd-any !kfreebsd-any]
 Homepage: https://launchpad.net/libeatmydata
-Vcs-Git: git://git.debian.org/users/modax/libeatmydata.git
-Vcs-Browser: http://git.debian.org/?p=users/modax/libeatmydata.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/libeatmydata.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libeatmydata.git
 
 Package: eatmydata
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libeatmydata
-Description: library and utilities designed to disable fsync and friends
+Architecture: all
+Depends: libeatmydata1 (>=${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Library and utilities designed to disable fsync and friends
  This package contains a small LD_PRELOAD library (libeatmydata) and a couple
  of helper utilities designed to transparently disable fsync and friends (like
  open(O_SYNC)). This has two side-effects: making software that writes data
@@ -28,3 +32,17 @@
  On the other hand, do not use eatmydata when you care about what software
  stores or it manipulates important components of your system. The library is
  called libEAT-MY-DATA for a reason.
+
+Package: libeatmydata1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: eatmydata (<< 82-1)
+Replaces: eatmydata (<< 82-1)
+Multi-Arch: same
+Description: Library and utilities to disable fsync and friends - shared library
+ This package contains the actual LD_PRELOAD library (libeatmydata) supporting
+ the operation of the eatmydata package. Users typically want to use or depend
+ on the eatmydata package instead of this one, so see its description for
+ further information.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_installdirs:
	dh_installdirs

override_dh_install:
	find $(CURDIR)/debian/tmp -name *.la -delete
	rm $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/eatmydata.sh
	install -D $(CURDIR)/debian/eatmydata.sh \
		$(CURDIR)/debian/eatmydata/usr/bin/eatmydata
	dh_install --list-missing

%:
	dh $@ --with autotools_dev

## libeatmydata 105

=== debian/changelog ===
libeatmydata (105-6) unstable; urgency=medium

  * d/docs: remove, the installed README doesn't contain anything useful.
  * d/copyright:
    + Use HTTPS in the Format field (policy v4.0.0).
    + Bump copyright years for debian/*.
  * d/control:
    + Bump Standards-Version to 4.1.3.
    + Update Vcs-* fields for the move to salsa.debian.org.
  * Bump debhelper compat level to 11.
  * d/rules:
    + Use /usr/share/dpkg/architecture.mk instead of manually shelling out to
      dpkg-architecture(1).
    + Move to dh_missing instead of the deprecated dh_install --fail-missing.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 09 Mar 2018 19:37:20 +0100

libeatmydata (105-5) unstable; urgency=medium

  * Upload to unstable after some testing happened.
  * Make the udeb scripts executable.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Oct 2016 12:21:53 +0000

libeatmydata (105-4) experimental; urgency=medium

  [ Petter Reinholdtsen ]
  * Add udeb to enable eatmydata during a Debian installation.  Closes: #765527

  [ Mattia Rizzolo ]
  * debian/control:
    + Bump Standards-Version to 3.9.8, no changes needed.
    + wrap-and-sort according to my new preferences.
    + Drop unneeded explicit Testsuite field, dpkg-source creates it by itself.
    + Fix description of the new udeb binary.
  * Bump debhelper compat level to 10.
    + Drop explicit --with autoreconf option, now default.
    + Don't run the test suite in parallel (not parallel-safe).
  * use dh_install --fail-missing coupled with a debian/not-installed
  * Use dh-exec instead of install files of the new udeb using cp in d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 11 Oct 2016 22:09:24 +0000

libeatmydata (105-3) unstable; urgency=medium

  * [ded2257] debian/patches: forward 2 patches.
  * eatmydata.sh:
    + [157cdc6] fix typo that prevented a proper error message when the target
      executable was not found.
    + [a09b086] if the called program is a link to something else, do not call
      the link target but still call the original program.  Closes: #817995

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Apr 2016 16:52:55 +0000

libeatmydata (105-2) unstable; urgency=medium

  * [566a7d0] debian/patches/avoid-pthread-link: add to avoid linking against
    pthread and calling pthread_testcancel also when the called program doesn't.
    Thanks to Samuel Thibault <sthibault@debian.org> for the patch.
    Closes: #816144
  * debian/control:
    + [107b591] Set myself as maintainer, drop modax.  Thanks for all the work!
    + [d3eb0c8] Bump Standards-Version to 3.9.7, no changes needed.
    + [6f69471] Use https in Vcs-Git.
  * [112f080] debian/{control,copyright}: use my @debian.org email address.
  * [a5c4e4f] debian/copyright: extend my copyright for another year.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Feb 2016 16:57:30 +0000

libeatmydata (105-1) unstable; urgency=medium

  * [edcd4e8] Imported Upstream version 105:
    + [23ecfaf] debian/patches: drop patches: all applied upstream.
  * debian/patches:
    + [58b004e] soversion: add to revert an useless/wrong/unintentional
      SOVERSION change made by upstream.
    + [b859146] drop-unneeded-include: add to allow a clean dep-8 test.
    + [acdb016] tests: add dep-3 header.
  * [259b46f,ae03c97] debian/tests: add a DEP-8 testsuite.  Closes: #765294
  * [16352b4] debian/rules: enable verbose building.
  * [b486084] debian/copyright: update years.
  * [048c4ea] debian/eatmydata.1: Add a paragraph explaining how to correctly
    load libeatmydata without using the wrapper, e.g. how to set the
    LD_LIBRARY_PATH and LD_PRELOAD env variable.   Closes: #781485

 -- Mattia Rizzolo <mattia@mapreri.org>  Fri, 04 Sep 2015 14:00:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: libeatmydata
 Section: utils
 Priority: optional
-Maintainer: Modestas Vainius <modax@debian.org>
-Uploaders: Mattia Rizzolo <mattia@mapreri.org>
-Standards-Version: 3.9.6
-Build-Depends: autotools-dev,
-               debhelper (>=9),
-               strace [!hurd-any !kfreebsd-any]
+Maintainer: Mattia Rizzolo <mattia@debian.org>
+Standards-Version: 4.1.3
+Build-Depends:
+ debhelper (>= 11),
+ dh-exec,
+ strace [!hurd-any !kfreebsd-any],
 Homepage: https://launchpad.net/libeatmydata
-Vcs-Git: git://anonscm.debian.org/collab-maint/libeatmydata.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libeatmydata.git
+Vcs-Browser: https://salsa.debian.org/debian/libeatmydata
+Vcs-Git: https://salsa.debian.org/debian/libeatmydata.git
 
 Package: eatmydata
 Architecture: all
-Depends: libeatmydata1 (>=${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ libeatmydata1 (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Library and utilities designed to disable fsync and friends
  This package contains a small LD_PRELOAD library (libeatmydata) and a couple
  of helper utilities designed to transparently disable fsync and friends (like
@@ -35,14 +36,33 @@
 
 Package: libeatmydata1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: eatmydata (<< 82-1)
-Replaces: eatmydata (<< 82-1)
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ eatmydata (<< 82-1),
+Replaces:
+ eatmydata (<< 82-1),
 Multi-Arch: same
 Description: Library and utilities to disable fsync and friends - shared library
  This package contains the actual LD_PRELOAD library (libeatmydata) supporting
  the operation of the eatmydata package. Users typically want to use or depend
  on the eatmydata package instead of this one, so see its description for
  further information.
+
+Package: eatmydata-udeb
+Package-Type: udeb
+Architecture: all
+Section: debian-installer
+Depends:
+ ${misc:Depends},
+Description: Disable fsync and friends during installation to speed up the install
+ This package contains a small LD_PRELOAD library (libeatmydata) and a couple
+ of helper utilities designed to transparently disable fsync and friends (like
+ open(O_SYNC)). This has two side-effects: making software that writes data
+ safely to disk a lot quicker and making this software no longer crash safe.
+ .
+ This package provides the files to enable eatmydata during a Debian install as
+ performed by debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DH_VERBOSE=1
export V=1 # let `make` be verbose

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_install:
	find $(CURDIR)/debian/tmp -name *.la -delete
	rm -v $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/eatmydata.sh
	install -D $(CURDIR)/debian/eatmydata.sh \
		$(CURDIR)/debian/eatmydata/usr/bin/eatmydata
	dh_install

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3

opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,pgpsigurlmangle=s/$/.asc/" \
https://launchpad.net/libeatmydata (?:.*/)?libeatmydata[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## libeatmydata 130

=== debian/changelog ===
libeatmydata (130-2) unstable; urgency=medium

  * The new symbol is not available on kbsd (but it's on hurd).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Oct 2021 15:38:45 +0200

libeatmydata (130-1) unstable; urgency=medium

  * New upstream version 130.
  * Add new symbol for syncfs().
  * Increment the library VERSION (doesn't change SONAME).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Oct 2021 14:40:31 +0200

libeatmydata (129-4) unstable; urgency=medium

  * The new symbol is only available on linux, fix build on kbsd.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 Sep 2021 16:54:15 +0200

libeatmydata (129-3) unstable; urgency=medium

  * Remove drop-unneeded-include.patch patch, improving the autopkgtest.
  * Improve the autopkgtest:
    + run dh_auto_configure before compiling the tests, to build a config.h.
    + add Restrictions:rw-build-tree due to the above.
    + copy config.h and portability.h to the testing site.
    + redirect some stderr to stdout.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 Aug 2021 15:01:48 +0200

libeatmydata (129-2) unstable; urgency=medium

  * Upload to unstable.
  * Handle one of the new symbols not being present on hurd.
  * d/rules: be strict during symbols checking.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 17:39:41 +0200

libeatmydata (129-1) experimental; urgency=medium

  * New upstream version 129.  Closes: #986919
  * Update the upstream OpenPGP key.
  * d/patches:
    + Drop patches applied upstream. refresh the rest.
    + New patch so that the upstream build system ignores the debian packaging.
  * d/copyright:
    + Update after the new release.
    + Update Source field to the new location.
  * eatmydata-udeb:
    + Move down the execution order of finish-install, so other finishing
      steps also run under eatmydata.  Closes: #984792
  * Point d/watch to the new github.com project.
  * d/rules:
    + Drop override_dh_auto_test, not needed anymore with the new release.
    + Drop explicit -std=gnu11, not needed anymore.
    + Do not install the static library (previously it wasn't built).
    + Do not run the testuite in the indep builds.
  * d/control:
    + Use the new dh-sequence-bash-completion instead of using
      --with bash-completion in d/rules.
    + Split the build dependencies into Build-Depends(|-Arch|-Indep).
    + Mark strace as <!nocheck>.
    + Bump Standards-Version to 4.5.1, no changes needed.
    + Update Homepage field to the new location.
  * Track 2 new public symbols.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Apr 2021 15:42:47 +0200

libeatmydata (105-9) unstable; urgency=medium

  * Fix autopkgtests against gcc-9 by using -pthread instead of -lpthread

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 30 Apr 2020 14:26:42 +0200

libeatmydata (105-8) unstable; urgency=medium

  * Autopkgtest improvements:
    + Fix a bunch of shellcheck warnings.
    + Remove one last usage of ADTTMP.
  * d/patches:
    + Add patch from upstream to properly handle EBADF.  Closes: #667965
    + Add patch from Alberto Bertogli to make the initialization thread-safe.
      Closes: #918520
    + Add another patch to fix a warning from GCC when built with -std=gnu11.
  * d/control:
    + Bump Standards-Version to 4.5.0, no changes needed.
    + Bump debhelper compat level to 13.
      - compat 12 changes the value of --libexecdir, update the ignoring rule.
  * d/rules:
    + Build with -std=gnu11 to support thread-local storage, as used by the
      patch for 918520.
    + Use d/eatmydata.install to install the /usr/bin/eatmydata file.
    + Use DH_ALWAYS_EXCLUDE to prevent the installation of the .la file.
  * d/copyright: Update the copyright years for debian/.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 28 Apr 2020 13:21:47 +0200

libeatmydata (105-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/copyright: Change Format URL to correct one

  [ Mattia Rizzolo ]
  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Set Rules-Requires-Root:no.
  * Move libeatmydata1 to Section:libs.  Thanks, lintian!
  * Override the lintian tag symbols-file-missing-build-depends-package-field.

  [ Unit 193 ]
  * Add a bash-completion file to allow auto-completion of the parameters of
    the called binary.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Oct 2018 12:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
-Standards-Version: 4.1.3
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
+Build-Depends-Indep:
  dh-exec,
- strace [!hurd-any !kfreebsd-any],
-Homepage: https://launchpad.net/libeatmydata
+ dh-sequence-bash-completion,
+Build-Depends-Arch:
+ dh-exec,
+ strace [!hurd-any !kfreebsd-any] <!nocheck>,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://www.flamingspork.com/projects/libeatmydata/
 Vcs-Browser: https://salsa.debian.org/debian/libeatmydata
 Vcs-Git: https://salsa.debian.org/debian/libeatmydata.git
 
@@ -36,6 +41,7 @@
 
 Package: libeatmydata1
 Architecture: any
+Section: libs
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 @,
 @builddeps@,
Restrictions: rw-build-tree

=== debian/watch ===
version=4

opts="dversionmangle=auto, pgpmode=auto" \
https://github.com/stewartsmith/libeatmydata/releases (?:.*/)?libeatmydata[_\-\.]?@ANY_VERSION@@ARCHIVE_EXT@

## libeatmydata 131

=== debian/changelog ===
libeatmydata (131-2) unstable; urgency=medium

  * Bump Standards-Version, no changes needed.
  * Add patch to fix FTBFS on 32 bits with a t64 env.  Closes: #1069465

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 22 Apr 2024 10:29:08 +0200

libeatmydata (131-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * libeatmydata1: Drop versioned constraint on eatmydata in Replaces.
    * libeatmydata1: Drop versioned constraint on eatmydata in Breaks.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Repository-Browse, Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Mattia Rizzolo ]
  * New upstream version 131.
  * Add patch to fix double build.  Closes: #1048231
  * Update watchfile after github changes.  Closes: #1043479
  * Provide a source-level Description.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 15:52:41 +0530

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
 Build-Depends-Arch:
  dh-exec,
  strace [!hurd-any !kfreebsd-any] <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.flamingspork.com/projects/libeatmydata/
 Vcs-Browser: https://salsa.debian.org/debian/libeatmydata
 Vcs-Git: https://salsa.debian.org/debian/libeatmydata.git
+Description: Library and utilities designed to disable fsync and friends
 
 Package: eatmydata
 Architecture: all
@@ -22,7 +23,7 @@
  libeatmydata1 (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Library and utilities designed to disable fsync and friends
+Description: ${source:Synopsis}
  This package contains a small LD_PRELOAD library (libeatmydata) and a couple
  of helper utilities designed to transparently disable fsync and friends (like
  open(O_SYNC)). This has two side-effects: making software that writes data
@@ -47,12 +48,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- eatmydata (<< 82-1),
-Replaces:
- eatmydata (<< 82-1),
 Multi-Arch: same
-Description: Library and utilities to disable fsync and friends - shared library
+Description: ${source:Synopsis} - shared library
  This package contains the actual LD_PRELOAD library (libeatmydata) supporting
  the operation of the eatmydata package. Users typically want to use or depend
  on the eatmydata package instead of this one, so see its description for

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=.la:.a


%:
	dh $@

override_dh_auto_test-indep:

=== debian/watch ===
version=4

opts="searchmode=plain, dversionmangle=auto, pgpmode=auto" \
https://api.github.com/repos/stewartsmith/@PACKAGE@/releases \
https://github.com/stewartsmith/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
